We want your online experience with Pepnet 2 to be the best. The browser you are currently using is not supported. Click on one of the supported browser button for a free download.
You may need to work with your IT to get a supported browser installed to replace your current browser that is becoming obsolute.
A validation e-mail has been sent to your e-mail address. In order to gain full access to the site, you will need to follow the instructions in that message.

Resources

Teaching for Success: Literacy, Diversity, and Technology -- Proceedings of the English Think Tank V

The proceedings of the 2007 English Think Tank represent a sample of the presentations offered at the conference and focus on practical strategies to use when teaching English courses to students who are deaf or hard of hearing. Sessions addressed four areas: assessment, diversity, literacy, and technology. (2008)

Downloads

LIVE CHAT
 
 
 
SEARCH RESOURCES
 
UPCOMING EVENTS

Sacramento, CA

2014 pepnet 2 Training Institute (in conjunction with the AHEAD 2014 Conference) Sacramento Convention Center,...  
SEE ALL UPCOMING EVENTS  >
FROM THE FORUM
Student preferences for specific...
by scarmich | 7/10/14 @ 11:58 AM
Financial Aid/Scholarships
by mcpark | 7/9/14 @ 09:36 AM
Hearing aids
by mounces | 7/3/14 @ 09:01 AM
TESTIMONIALS

Pepnet 2 has been my "Go To" resource for many years while coordinating services for Deaf and Hard of Hearing ...

Pepnet 2 has been my "Go To" resource for many years while coordinating services for Deaf and Hard of Hearing students. This can feel very isolating and our responsibilities are so unique, but with pepnet 2, I never feel like I'm alone. I'm very thankful for the funding that supports pepnet 2, which supports the rest of us.

READ MORE >

- Nancy Allen, Coordinator of Deaf and Hard of Hearing Services, Highline Community College

RESEARCH FINDINGS
Check out our newest research brief: "Serving individuals who are DHH in rural communities"
 
 
 
The pepnet 2 website is compatible with Internet Explorer 8+, Chrome 14+, Safari 4+ and Firefox 3+. Compatibility with earlier versions of browsers is limited.